Obtain a JWT token

POSThttps://api.prestatech.com/auth/v1/oauth/token

Specify the client credentials here. The credentials are provided by your environment subscription in the Prestatech OpenAPI portal. The obtained JWT token (in bearer format) is to be used alongside the environment subscription key (Ocp-Apim-Subscription-Key) to make calls to the Prestatech OpenAPI services.

Recent Requests

TimeStatusUser Agent

Make a request to see history.

Body Params

client_idstringrequired

Your application's Client ID

client_secretstringrequired

Your application's Client Secret

Responses

Request Example

Examples
curl --request POST \
  --url 'https://api.prestatech.com/auth/v1/oauth/token' \
  --header 'Content-Type: application/json' \
  --data '{
  "client_id": "your_client_id",
  "client_secret": "your_client_secret"
}'
Updated 11 months ago